package biga.distribution;
import nme.geom.Point;
import nme.geom.Rectangle;
import biga.utils.PRNG;
import nme.Vector;
using nme.Vector;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class PRNGDistribution
{
	public function new() { }
	
	public function distribute( rect:Rectangle, count:Int = 100, seed:Int = 0xFF ):Vector<Point>
	{
		PRNG.seed = seed;
		var points:Vector<Point> = new Vector<Point>();
		var i:Int = count;
		while( i-- > 0 )
		{
			points.push( new Point( rect.x + PRNG.random() * rect.width, rect.y + PRNG.random() * rect.height ) );
		}
		return points;
	}
}