package biga.distribution;
import nme.Vector;
using nme.Vector;
import nme.geom.Point;
import nme.geom.Rectangle;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class RandomDistribution 
{
	public function new() { }
	
	public function distribute( rect:Rectangle, count:Int = 100 ):Vector<Point>
	{
		var points:Vector<Point> = new Vector<Point>();
		var i:Int = count;
		while( i-- > 0 )
		{
			points.push( new Point( rect.x + Math.random() * rect.width, rect.y + Math.random() * rect.height ) );
		}
		return points;
	}
}