package treemaps;
import nme.Vector;
import nme.display.Sprite;
import nme.geom.Rectangle;
import treemap.TreemapConstants;
import treemap.TreeMap;
import treemap.TreeMapItem;
 class BasicTreeMap extends Sprite
{
	public function new()
	{
		//create a map, passes the rectangle where we want to draw
		var map:TreeMap = new TreeMap( new Rectangle( 10, 10, 480, 480 ) );
		//create values
		var values:Vector<TreeMapItem> = new Vector<TreeMapItem>;
		//populate the values with basics items
		var item:TreeMapItem;
		for (i in 0 ... 150 ) 
		{
			item = new TreeMapItem( Math.random() );
			values.push( item );
		}
		//compute the map
		values = map.compute( values, TreemapConstants.SORT_WEIGHT_DESCENDING );
		//render
		for( item in values )
		{
			graphics.beginFill( 0x808080 + Math.random() * 0x808080 );
			graphics.drawRect( item.rect.x, item.rect.y, item.rect.width, item.rect.height );
		}
	}
 }