package bigal.models.primitives 
{
	import bigal.Scene;
	import bigal.Model;
	import flash.display3D.Context3D;
	
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class Cube extends Model 
	{
		
		public function Cube() 
		{
			
			super ( Vector.<Number>([-0.5,-0.5,-0.5,-0.5,0.5,-0.5,0.5,0.5,-0.5,0.5,-0.5,-0.5,-0.5,-0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5,-0.5,0.5,0.5,-0.5,0.5,0.5,0.5,0.5,-0.5,0.5,0.5,-0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,-0.5,-0.5,0.5,-0.5,-0.5,0.5,0.5,-0.5,0.5,-0.5,-0.5,-0.5,-0.5,-0.5,-0.5,0.5,0.5,0.5,-0.5,0.5,0.5,0.5,0.5,-0.5,0.5,0.5,-0.5,-0.5]),
					Vector.<uint>([2,1,0,3,2,0,4,7,5,7,6,5,8,11,9,9,11,10,12,15,13,13,15,14,16,19,17,17,19,18,20,23,21,21,23,22] ) );
									
			colors = Vector.<Number>([ 	1,0,0,1,0,0,1,0,0,1,0,0,0,1,0,0,1,0,0,1,0,0,1,0,0,0,1,0,0,1,0,0,1,0,0,1,1,1,0,1,1,0,1,1,0,1,1,0,0,1,1,0,1,1,0,1,1,0,1,1,1,0,1,1,0,1,1,0,1,1,0,1 ]);
			
			vertexShader = 	"m44 op, va0, vc0\n" 			+
							"mov vt0, va1\n" 				+ 
							"nrm vt0.xyz, va1.xyz \n"		+
							"mov v0, vt0";
					
			fragmentShader = "mov oc, v0\n";
			
		}   
		
		override public function prepareContext(context:Context3D):void 
		{
			super.prepareContext(context);
			Scene.setVertexBufferAt( 1, colorBuffer );
		}
		
		override public function clearContext(context:Context3D):void 
		{
			super.prepareContext(context);
			Scene.setVertexBufferAt( 1, null );
		}
	}       
}           