package triga.candide;
import nme.Vector;
using nme.Vector;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Animations 
{
	/**
	 * corresponds to FAP
	 */
	static public var FAP_3_OPEN_JAW:FacialParamaeter 				= new FacialParamaeter( 	[1,32,65],[0,-1,0,0,-1,0,0,-1,0]	); 
	static public var FAP_4_LOWER_T_MIDLIP:FacialParamaeter 		= new FacialParamaeter( 	[87],[0,-1,0]	); 
	static public var FAP_5_RAISE_B_MIDLIP:FacialParamaeter 		= new FacialParamaeter( 	[4],[0,1,0]	); 
	static public var FAP_6_STRETCH_L_CORNERLIP:FacialParamaeter 	= new FacialParamaeter( 	[88],[1,0,0]	); 
	static public var FAP_7_STRETCH_R_CORNERLIP:FacialParamaeter 	= new FacialParamaeter( 	[89],[-1,0,0]	); 
	static public var FAP_8_LOWER_T_LIP_LM:FacialParamaeter 		= new FacialParamaeter( 	[81],[0,-1,0]	); 
	static public var FAP_9_LOWER_T_LIP_RM:FacialParamaeter 		= new FacialParamaeter( 	[82],[0,-1,0]	); 
	static public var FAP10_RAISE_B_LIP_LM:FacialParamaeter 		= new FacialParamaeter( 	[83],[0,1,0]	); 
	static public var FAP11_RAISE_B_LIP_RM:FacialParamaeter 		= new FacialParamaeter( 	[84],[0,1,0]	); 
	static public var FAP12_RAISE_L_CORNERLIP:FacialParamaeter 		= new FacialParamaeter( 	[88],[0,1,0]	); 
	static public var FAP13_RAISE_R_CORNERLIP:FacialParamaeter 		= new FacialParamaeter( 	[89],[0,1,0]	); 
	static public var FAP14_THRUST_JAW:FacialParamaeter 			= new FacialParamaeter( 	[1,32,65],[0,0,1,0,0,1,0,0,1]	); 
	static public var FAP15_SHIFT_JAW:FacialParamaeter 				= new FacialParamaeter( 	[1,32,65],[-1,0,0,-1,0,0,-1,0,0]	); 
	static public var FAP16_PUSH_B_LIP:FacialParamaeter 			= new FacialParamaeter( 	[8,4,83,84,85,86],[0,0,1,0,0,1,0,0,0.5,0,0,0.5,0,0,0.5,0,0,0.5]	); 
	static public var FAP17_PUSH_T_LIP:FacialParamaeter 			= new FacialParamaeter( 	[7,33,87,66,79,8,81,82],[0,0,1,0,0,1,0,0,1,0,0,1,0,0,0.5,0,0,0.5,0,0,0.5,0,0,0.5]	); 
	static public var FAP18_DEPRESS_CHIN:FacialParamaeter 			= new FacialParamaeter( 	[9],[0,-1,0]	); 
	static public var FAP19_CLOSE_T_L_EYELID:FacialParamaeter 		= new FacialParamaeter( 	[21,97,105],[0,-1,0.1,0,-0.75,0.075,0,-0.75,0.075]	); 
	static public var FAP20_CLOSE_T_R_EYELID:FacialParamaeter 		= new FacialParamaeter( 	[54,98,106],[0,-1,0.1,0,-0.75,0.075,0,-0.75,0.075]	); 
	static public var FAP21_CLOSE_B_L_EYELID:FacialParamaeter 		= new FacialParamaeter( 	[22,99,107],[0,1,0.1,0,0.75,0.075,0,0.75,0.075]	); 
	static public var FAP22_CLOSE_B_R_EYELID:FacialParamaeter 		= new FacialParamaeter( 	[55,1,108],[0,1,0.1,0,0.75,0.075,0,0.75,0.075]	); 
	static public var FAP23_YAW_L_EYEBALL:FacialParamaeter 			= new FacialParamaeter( 	[67,68,71,72],[1,0,0,1,0,0,1,0,0,1,0,0]	); 
	static public var FAP24_YAW_R_EYEBALL:FacialParamaeter 			= new FacialParamaeter( 	[69,7,73,74],[1,0,0,1,0,0,1,0,0,1,0,0]	); 
	static public var FAP25_PITCH_L_EYEBALL:FacialParamaeter 		= new FacialParamaeter( 	[67,68,71,72],[0,-1,0,0,-1,0,0,-1,0,0,-1,0]	); 
	static public var FAP26_PITCH_R_EYEBALL:FacialParamaeter 		= new FacialParamaeter( 	[69,7,73,74],[0,-1,0,0,-1,0,0,-1,0,0,-1,0]	); 
	static public var FAP27_THRUST_L_EYEBALL:FacialParamaeter 		= new FacialParamaeter( 	[67,68,71,72],[0,0,1,0,0,1,0,0,1,0,0,1]	); 
	static public var FAP28_THRUST_R_EYEBALL:FacialParamaeter 		= new FacialParamaeter( 	[69,7,73,74],[0,0,1,0,0,1,0,0,1,0,0,1]	); 
	static public var FAP29_DILATE_L_PUPIL:FacialParamaeter 		= new FacialParamaeter( 	[67,68,71,72],[1,1,0,1,-1,0,-1,1,0,-1,-1,0]	); 
	static public var FAP30_DILATE_R_PUPIL:FacialParamaeter 		= new FacialParamaeter( 	[69,7,73,74],[-1,1,0,-1,-1,0,1,1,0,1,-1,0]	); 
	static public var FAP31_RAISE_L_I_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[17],[0,1,0]	); 
	static public var FAP32_RAISE_R_I_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[5],[0,1,0]	); 
	static public var FAP33_RAISE_L_M_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[16,18],[0,1,0,0,1,0]	); 
	static public var FAP34_RAISE_R_M_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[49,51],[0,1,0,0,1,0]	); 
	static public var FAP35_RAISE_L_O_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[15],[0,1,0]	); 
	static public var FAP36_RAISE_R_O_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[48],[0,1,0]	); 
	static public var FAP37_SQUEEZE_L_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[17,16,18],[-1,0,0,-0.5,0,0,-0.5,0,0]	); 
	static public var FAP38_SQUEEZE_R_EYEBROW:FacialParamaeter 		= new FacialParamaeter( 	[5,49,51],[1,0,0,0.5,0,0,0.5,0,0]	); 
	static public var FAP39_PUFF_L_CHEEK:FacialParamaeter 			= new FacialParamaeter( 	[9],[1,0,0]	); 
	static public var FAP40_PUFF_R_CHEEK:FacialParamaeter 			= new FacialParamaeter( 	[91],[-1,0,0]	); 
	static public var FAP41_LIFT_L_CHEEK:FacialParamaeter 			= new FacialParamaeter( 	[27],[0,1,0]	); 
	static public var FAP42_LIFT_R_CHEEK:FacialParamaeter 			= new FacialParamaeter( 	[6],[0,1,0]	); 
	static public var FAP51_LOWER_T_MIDLIP_O:FacialParamaeter 		= new FacialParamaeter( 	[7,33,66],[0,-1,0,0,-1,0,0,-1,0]	); 
	static public var FAP52_RAISE_B_MIDLIP_O:FacialParamaeter 		= new FacialParamaeter( 	[8],[0,1,0]	); 
	static public var FAP53_STRETCH_L_CORNERLIP_O:FacialParamaeter 	= new FacialParamaeter( 	[31],[1,0,0]	); 
	static public var FAP54_STRETCH_R_CORNERLIP_O:FacialParamaeter 	= new FacialParamaeter( 	[64],[-1,0,0]	); 
	static public var FAP55_LOWER_T_LIP_LM_O:FacialParamaeter 		= new FacialParamaeter( 	[79],[0,-1,0]	); 
	static public var FAP56_LOWER_T_LIP_RM_O:FacialParamaeter 		= new FacialParamaeter( 	[8],[0,-1,0]	); 
	static public var FAP57_RAISE_B_LIP_LM_O:FacialParamaeter 		= new FacialParamaeter( 	[85],[0,1,0]	); 
	static public var FAP58_RAISE_B_LIP_RM_O:FacialParamaeter 		= new FacialParamaeter( 	[86],[0,1,0]	); 
	static public var FAP59_RAISE_L_CORNERLIP_O:FacialParamaeter 	= new FacialParamaeter( 	[31],[0,1,0]	); 
	static public var FAP60_RAISE_R_CORNERLIP_O:FacialParamaeter 	= new FacialParamaeter( 	[64],[0,1,0]	); 
	static public var FAP61_STRECTH_L_NOSE:FacialParamaeter 		= new FacialParamaeter( 	[26,111,25],[1,0,0,1,0,0,0.5,0,0]	); 
	static public var FAP62_STRECTH_R_NOSE:FacialParamaeter 		= new FacialParamaeter( 	[59,112,58],[-1,0,0,-1,0,0,-0.5,0,0]	); 
	static public var FAP63_RAISE_NOSE:FacialParamaeter 			= new FacialParamaeter( 	[5,75,76],[0,1,0,0,1,0,0,1,0]	); 
	static public var FAP64_BEND_NOSE:FacialParamaeter 				= new FacialParamaeter( 	[5,75,76],[-1,0,0,-1,0,0,-1,0,0]	); 
}