package triga.maths.shapes;
import nme.geom.Vector3D;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Sphere3D extends Vector3D
{
	private var _radius:Float;
	public function new( x:Float = 0, y:Float = 0, z:Float = 0, radius:Float = 1 ) 
	{
		super( x, y, z );
		this._radius = radius;
	}
	public var radius( get_radius, set_radius ):Float;
	public function get_radius():Float { return _radius; }
	public function set_radius(value:Float):Float 
	{
		_radius = value;
		return radius;
	}
}