﻿package triga.systems.verlet3d 
{
/**
package triga.systems.verlet3d;
class BoundingBox
{
	private var _x:Float = 0;
	private var _y:Float = 0;
	private var _z:Float = 0;
	private var _width:Float = 0;
	private var _height:Float = 0;
	private var _depth:Float = 0;
	private var _left:Float;
	private var _right:Float;
	private var _top:Float;
	private var _bottom:Float;
	private var _front:Float;
	private var _back:Float;
	public function new( origin:VerletPoint3d, dimensions:VerletPoint3d ) 
	{
		x = origin.x;
		y = origin.y;
		z = origin.z;
		width = dimensions.x;
		height = dimensions.y;
		depth = dimensions.z;
	}
	public var x( get_x, set_x ):Float;
	public function get_x():Float { return _x; }
	public function set_x(value:Float):Float 
	{
		_x = value;
		return x;
	}
	public var y( get_y, set_y ):Float;
	public function get_y():Float { return _y; }
	public function set_y(value:Float):Float 
	{
		_y = value;
		return y;
	}
	public var z( get_z, set_z ):Float;
	public function get_z():Float { return _z; }
	public function set_z(value:Float):Float 
	{
		_z = value;
		return z;
	}
	public var width( get_width, set_width ):Float;
	public function get_width():Float { return _width; }
	public function set_width(value:Float):Float 
	{
		_width = value;
		return width;
	}
	public var height( get_height, set_height ):Float;
	public function get_height():Float { return _height; }
	public function set_height(value:Float):Float 
	{
		_height = value;
		return height;
	}
	public var depth( get_depth, set_depth ):Float;
	public function get_depth():Float { return _depth; }
	public function set_depth(value:Float):Float 
	{
		_depth = value;
		return depth;
	}
	public var left( get_left, null ):Float;
	public function get_left():Float { return _x; }
	public var right( get_right, null ):Float;
	public function get_right():Float { return _x + width; }
	public var top( get_top, null ):Float;
	public function get_top():Float { return _y; }
	public var bottom( get_bottom, null ):Float;
	public function get_bottom():Float { return _y + height; }
	public var front( get_front, null ):Float;
	public function get_front():Float { return _z; }
	public var back( get_back, null ):Float;
	public function get_back():Float { return _z + depth; }
}