package net.nicoptere.geometry;
import nme.display.Sprite;
import nme.events.Event;
import nme.geom.Point;

/**
 * @author Nicolas Barradeau 
 */

class Circle_1 extends Sprite
{
	private var w:Float;
	private var h:Float;
	
	private var circle:Circle;
	private var c_0:Circle;

	public function new( w:Float, h:Float ) 
	{
		super();
		
		this.w = w;
		this.h = h;
		
		circle = new Circle( w * .5, h * .5, Math.min( w, h ) * .5 - 50 );
		
		c_0 = new Circle( 0, 0, circle.radius * .25 );
		
		addEventListener( Event.ENTER_FRAME, oef );
		
	}
	
	private function oef(e:Event):Void 
	{
		graphics.clear();
		
		circle.angle += Math.PI / 180;
		
		circle.render( graphics );
		
		
		var radius:Float = circle.radius;
		var angle:Float = circle.angle;
		
		//cercle sur le cercle
		c_0.x = circle.x + Math.cos( angle ) * radius;
		c_0.y = circle.y + Math.sin( angle ) * radius;
		c_0.render( graphics, 0xFF0000 );
		
		//interieur
		
		//radius = ( circle.radius - c_0.radius );
		//c_0.x = circle.x + Math.cos( angle ) * radius;
		//c_0.y = circle.y + Math.sin( angle ) * radius;
		//c_0.render( graphics, 0xFFCC00 );
		
		
		//exterieur
		
		//radius = ( circle.radius + c_0.radius );
		//c_0.x = circle.x + Math.cos( angle ) * radius;
		//c_0.y = circle.y + Math.sin( angle ) * radius;
		//c_0.render( graphics, 0xCC00FF );
		
	}
	
}