package net.nicoptere.geometry.distribution;
import biga.distribution.Grid;
import nme.display.Sprite;
import nme.geom.Point;
import nme.geom.Rectangle;
import nme.Vector;

/**
 * @author Nicolas Barradeau 
 */

class GridDistribution extends Sprite
{

	public function new( w:Float, h:Float ) 
	{
		super();
		
		var rect:Rectangle = new Rectangle( 100, 100, w-200, h-200 ) ;
		
		var c:Point = new Point( w * .5 , h * .5 ) ;
		
		var distribution:Grid = new Grid( rect, 5, 5 );
		
		var points:Vector<Point> = distribution.distribute();
		
		graphics.lineStyle( 0, 0xFFFFFF );
		for ( p in points )
		{
			graphics.drawCircle( p.x, p.y, 1 );
		}
		
	}
	
}