package net.nicoptere.geometry.distribution;
import biga.distribution.Hexagonal;
import biga.utils.GeomUtils;
import nme.display.Sprite;
import nme.geom.Point;
import nme.geom.Rectangle;
import nme.Vector;

/**
 * @author Nicolas Barradeau 
 */

class HexagonalDistribution extends Sprite
{

	public function new( w:Float, h:Float ) 
	{
		super();
		
		var rect:Rectangle = new Rectangle( 0, 0, w, h ) ;
		
		var hex:Hexagonal = new Hexagonal( rect, 40 );
		
		var points:Vector<Point> = hex.distribute();
		
		graphics.lineStyle( 0, 0xFFFFFF );
		for ( p in points )
		{
			graphics.drawCircle( p.x, p.y, 1 + Math.random() * 10	);
		}
		
		
		/*
		points = GeomUtils.removeDuplicates( points );
		trace( '->' + points.length );
		
		graphics.lineStyle( 0, 0xFF0000 );
		for ( p in points )
		{
			graphics.drawCircle( p.x, p.y, 1 );
		}
		//*/
	}
	
}