package net.nicoptere.particles.bodies;
import nme.display.Graphics;
import nme.geom.Point;

/**
 * @author Nicolas Barradeau 
 */

class Circle extends Point
{
	
	public var radius:Float;
	public var color:Int;
	
	public function new( x:Float = 0, y:Float = 0, radius:Float = 1 ) 
	{
		
		super( x, y );
		this.radius = radius;
		this.color = 0xCCCCCC;// 0x808080 + Std.int( Math.random() * 0x808080 );
		
	}
	
	public function render( graphics:Graphics ) :Void
	{
		
		graphics.beginFill( color, .5 );
		graphics.drawCircle( x, y, radius );
		graphics.endFill();
		
	}
}