package net.nicoptere.particles.bodies;
import nme.display.Graphics;

/**
 * @author Nicolas Barradeau 
 */

class Friction extends Acceleration
{

	public var friction:Float;
	
	public function new( x:Float = 0, y:Float = 0, radius:Float = 1 ) 
	{
		super( x, y, radius );
		
		//coefficient de friction
		friction = 0.99999;
		
	}
	
	override public function update( dt:Float = 1 ):Void
	{
		
		super.update( dt );
		
		vx *= friction;
		vy *= friction;
		
	}
	
}