package net.nicoptere.particles.forces;
import jeash.geom.Point;
import net.nicoptere.particles.bodies.Body;

/**
 * @author Nicolas Barradeau 
 */

class Field extends Force
{
	
	private var _direction:Point;
	private var _strength:Float;
	
	public function new( direction:Point = null, strength:Float = 1 ) 
	{
		super();
		
		if ( direction == null ) direction = new Point();
		this.direction = direction;
		
		this.strength = strength;
		
	}
	
	override public function evaluate(b:Body = null):Void 
	{
		
		x = direction.x * strength;
		y = direction.y * strength;
		
	}
	
	
	
	private function get_direction():Point 
	{
		return _direction;
	}
	
	private function set_direction(value:Point):Point 
	{
		return _direction = value;
	}
	
	public var direction(get_direction, set_direction):Point;
	
	private function get_strength():Float 
	{
		return _strength;
	}
	
	private function set_strength(value:Float):Float 
	{
		return _strength = value;
	}
	
	public var strength(get_strength, set_strength):Float;
	
	
}