package net.nicoptere.particles.forces;
import net.nicoptere.particles.bodies.Body;

/**
 * @author Nicolas Barradeau 
 */

class Gravity extends Force
{
	private var _strength:Float;
	public function new( strength:Float = .1 ) 
	{
		super();
		this.strength = strength;
	}
	
	private function get_strength():Float 
	{
		return _strength;
	}
	
	private function set_strength(value:Float):Float 
	{
		y = value;
		return _strength = value;
	}
	
	public var strength(get_strength, set_strength):Float;
	
}