package biga.distribution;
import nme.geom.Point;
import nme.Vector;
using nme.Vector;
/**
 * @author Nicolas Barradeau 
 */

class Distribution 
{
	
	public function new() {}
	
	private function shuffleSort( a:Point, b:Point ):Int
	{
		return ( Math.random() > .5 ) ? 1 : -1;
	}
	
	private function jitterPoints( points:Vector<Point>, radius:Float ):Void
	{
		var rad:Float;
		var angle:Float;
		for( p in points )
		{
			rad = radius * Math.random();
			angle = ( 2 * Math.PI ) * Math.random();
			p.x += rad * Math.cos(angle);
			p.y += rad * Math.sin(angle);
		}
	}
	
}