package biga.shapes2d;
import nme.display.Graphics;
import nme.geom.Point;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Circle extends Point 
{
	private var _radius:Float;
	/**
	 * data holder for a circle
	 * @param	x
	 * @param	y
	 * @param	radius
	 */
	public function new( x:Float = 0, y:Float = 0, radius:Float = 1 ) 
	{
		super( x, y );
		this._radius = radius;
	}
	
	public function draw( graphics:Graphics ):Void
	{
		graphics.drawCircle( x, y, radius );
	}
	
	private function get_radius():Float 
	{
		return _radius;
	}
	
	private function set_radius(value:Float):Float 
	{
		return _radius = value;
	}
	
	public var radius(get_radius, set_radius):Float;
}