package biga.shapes2d.curves;
import nme.geom.Point;
import nme.Vector;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
interface ICurve2D
{
	
	var precision(get_precision, set_precision):Float;
	
	var loop(get_loop, set_loop):Bool;
	
	var vertices(get_vertices, set_vertices):Vector<Point>;
	
	function getPointAt( t:Float, p:Point = null ):Point;
	
	function compute( target:Vector<Point> = null ):Vector<Point>;
	
	function range( start:Float = 0, end:Float = 1, target:Vector<Point> = null ):Vector<Point>;
	
}