package treemap;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class TreemapConstants 
{
	static public var DIRECTION_VERTICAL:String = "directionVertical";
	static public var DIRECTION_HORIZONTAL:String = "directionHorizontal";
	static public var LAYOUT_SLICE_DICE:String = "layoutSliceDice";
	static public var LAYOUT_SQUARIFIED:String = "layoutSquarified";
	static public var LAYOUT_STRIP:String = "layoutStrip";
	static public function SORT_RANDOM( a:TreeMapItem, b:TreeMapItem ):Float
	{ 
		return Math.random() > .5 ? - 1 : 1;
	}
	static public function SORT_WEIGHT_ASCENDING( a:TreeMapItem, b:TreeMapItem ):Float
	{ 
		return a.weight <= b.weight ? -1 : 1;
	}
	static public function SORT_WEIGHT_DESCENDING( a:TreeMapItem, b:TreeMapItem ):Float
	{ 
		return a.weight >= b.weight ? -1 : 1;
	}
}