package biga.utils;
import biga.shapes2d.Edge;
import biga.shapes2d.Quad;
import nme.geom.Point;
/**
 * @author Nicolas Barradeau
 */
class QuadUtils 
{
	static public function containsPoint( quad:Quad, p:Point ):Bool
	{
		for( var e:Edge in quad.edges )
		{
			if ( GeomUtils.isLeft( p, e.p0, e.p1 )) return false;
		}
		return true;
	}
}