package bigal.models.primitives 
{
	import bigal.Model;
	import bigal.Scene;
	
	/**
	 * ...
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class Plane extends Model 
	{
		
		public function Plane( width:Number = 1, height:Number = 1 ) 
		{
			
			
			vertices = Vector.<Number>([	-1 * width, 1 * height, 0, 
											 1 * width, 1 * height, 0,
											 1 * width,-1 * height, 0,
											-1 * width,-1 * height, 0	]);
											
			vertexBuffer = Scene.getVertexBuffer( vertices, 3 );
			
			indices = Vector.<uint>([	0, 1, 2,
										0, 2, 3		]);
			
			indexBuffer =  Scene.getIndexBuffer( indices );
			
		}
		
	}

}