package triga.halfedge;
import nme.display.Graphics;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class HEEdge 
{
	//origin vertex 
	public var origin:Int;
	public var end:Int;
	//next vertex
	public var next:HEEdge;
	//pair edge
	public var pair:HEEdge;
	//face this edge belongs to
	public var face:HEFace;
	public function new( origin:Int, end:Int ) 
	{
		this.origin = origin;
		this.end = end;
	}
	public function isPairFlipped( edge:HEEdge ) :Bool
	{
		return ( origin == edge.origin && end == edge.end );
	}
	public function isPair( edge:HEEdge ) :Bool
	{
		return ( origin == edge.end && end == edge.origin );
	}
}