package triga.shapes;
import away3d.entities.Sprite3D;
import nme.geom.Vector3D;
import triga.render.TextMaterial;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Label extends Sprite3D 
{
	public function new( position:Vector3D = null, text:String = '', color:Int = 0x808080, size:Float = 12, font:String = "Verdana" ) 
	{
		var mat:TextMaterial = new TextMaterial( text, size, color, font );
		super( mat, mat.bitmapData.width, mat.bitmapData.height );
		this.position = position || new Vector3D();
	}
}