package triga.systems.verlet3d.forces;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Gravity extends Force
{
	private var _strength:Float;
	public function new( strength:Float ) 
	{
		this.strength = strength;
	}
	override public function apply( id:Int ):Void
	{
		forces_y[ id ] += strength;
	}
	public var strength( get_strength, set_strength ):Float;
	public function get_strength():Float 
	{
		return _strength;
	}
	public function set_strength(value:Float):Float 
	{
		_strength = -Math.abs( value );
		return strength;
	}
}