package triga.systems.verlet3d.forces;
/**
 * @author Nicolas Barradeau
 * http://en.nicoptere.net
 */
class Turbulence extends Force
{
	private var x:Float;
	private var y:Float;
	private var z:Float;
	public function new( x:Float = 0, y:Float = 0, z:Float = 0 ) 
	{
		this.x = x;
		this.y = y;
		this.z = z;
	}
	override public function apply( id:Int ):Void
	{
		forces_x[ id ] += x * ( Math.random() - .5 );
		forces_y[ id ] += y * ( Math.random() - .5 );
		forces_z[ id ] += z * ( Math.random() - .5 );
	}
}