package ;
///*
import net.nicoptere.geometry.distribution.CircularDistribution;
import net.nicoptere.geometry.distribution.DiscDistribution;
import net.nicoptere.geometry.distribution.GridDistribution;
import net.nicoptere.geometry.distribution.RandomDistributions;
import net.nicoptere.geometry.distribution.StarDistribution;
import net.nicoptere.geometry.distribution.HexagonalDistribution;
/*
import net.nicoptere.geometry.interpolation.InterpolationPath;
import net.nicoptere.geometry.interpolation.InterpolationTest;
import net.nicoptere.geometry.interpolation.MapTest;
import net.nicoptere.geometry.interpolation.NormalizationTest;
/*
import net.nicoptere.geometry.motion.NoiseMotion;
import net.nicoptere.geometry.motion.NoiseMotion2D;
import net.nicoptere.geometry.motion.RandomMotion;
import net.nicoptere.geometry.motion.RandomMotion2D;
/*
import net.nicoptere.geometry.Circle_0;
import net.nicoptere.geometry.Circle_1;
import net.nicoptere.geometry.oscillation.Oscillation_0;
import net.nicoptere.geometry.oscillation.Oscillation_1;
import net.nicoptere.geometry.oscillation.Oscillation_2;
import net.nicoptere.geometry.oscillation.Oscillation_3;
import net.nicoptere.geometry.oscillation.Oscillation_4;
import net.nicoptere.geometry.Circle_2;
import net.nicoptere.geometry.Circle_3;
/*
import net.nicoptere.ca.ca.CellularAutomata_0;
import net.nicoptere.ca.ca.CellularAutomata_1;
import net.nicoptere.ca.ca.CellularAutomata_2;
/*
import net.nicoptere.ca.gol.GameOfLife;
import net.nicoptere.ca.gol.NeuronTest;
import net.nicoptere.ca.gol.VivhiniacVote;
import net.nicoptere.ca.gol.WaveTest;
import net.nicoptere.ca.pattern.BelousovZhabotinsky;
import net.nicoptere.ca.pattern.TuringPattern;
/*
import net.nicoptere.dna.tests.ColorDna;
import net.nicoptere.dna.tests.MonoShapeDna;
import net.nicoptere.dna.tests.NumberDna;
import net.nicoptere.dna.tests.NumberDna;
import net.nicoptere.dna.tests.ShapeDna;
import net.nicoptere.dna.tests.WordDna;
/*
import net.nicoptere.particles.test.TestAcceleration;
import net.nicoptere.particles.test.TestAccelerationGravite;
import net.nicoptere.particles.test.TestAttractor;
import net.nicoptere.particles.test.TestBody;
import net.nicoptere.particles.test.TestFriction;
import net.nicoptere.particles.test.TestSpring;
import net.nicoptere.particles.test.TestVelocity;
/*
import net.nicoptere.particles.app.BubbleChamber;
import net.nicoptere.particles.app.ClusterFuck;
import net.nicoptere.particles.app.GravityMadness;
import net.nicoptere.particles.app.Portrait;
import net.nicoptere.particles.app.CreatureTest;
//*/

import nme.display.Sprite;
import nme.events.Event;
import nme.Lib;


/**
 * @author Nicolas Barradeau 
 */

class Main extends Sprite 
{
	
	public function new() 
	{
		super();
		#if iphone
		Lib.current.stage.addEventListener(Event.RESIZE, init);
		#else
		addEventListener(Event.ADDED_TO_STAGE, init);
		#end
	}

	private function init(e) 
	{
		//geekerie
		// http://mathworld.wolfram.com/topics/AnimatedGIFs.html
		//http://mathworld.wolfram.com/PonceletsPorism.html
		
		//distribution
		
			addChild( new RandomDistributions( stage.stageWidth, stage.stageHeight ) );
			//addChild( new CircularDistribution( stage.stageWidth, stage.stageHeight ) );
			//addChild( new DiscDistribution( stage.stageWidth, stage.stageHeight ) );
			//addChild( new StarDistribution( stage.stageWidth, stage.stageHeight ) );
			//addChild( new GridDistribution( stage.stageWidth, stage.stageHeight ) );
			//addChild( new HexagonalDistribution( stage.stageWidth, stage.stageHeight ) );
		
			//interpolation / normalization / changement de referentiel
		
			//addChild( new InterpolationTest(  stage.stageWidth, stage.stageHeight ) );
			//addChild( new NormalizationTest(  stage.stageWidth, stage.stageHeight ) );
			//addChild( new MapTest(  stage.stageWidth, stage.stageHeight ) );
			//addChild( new InterpolationPath(  stage.stageWidth, stage.stageHeight ) );
		
		
		//motion
		
			//addChild( new RandomMotion( stage.stageWidth, stage.stageHeight ) );
			//addChild( new NoiseMotion( stage.stageWidth, stage.stageHeight ) );
			//
			//addChild( new RandomMotion2D( stage.stageWidth, stage.stageHeight ) );
			//addChild( new NoiseMotion2D( stage.stageWidth, stage.stageHeight ) );
		
		
		//oscillations
		
			//addChild( new Circle_0( stage.stageWidth, stage.stageHeight ) );
			//addChild( new Circle_1( stage.stageWidth, stage.stageHeight ) );
			
			//addChild(  new Oscillation_0( stage.stageWidth, stage.stageHeight ) );
			//addChild(  new Oscillation_1( stage.stageWidth, stage.stageHeight ) );
			//addChild(  new Oscillation_2( stage.stageWidth, stage.stageHeight ) );
			//addChild(  new Oscillation_3( stage.stageWidth, stage.stageHeight ) );
			
			//http://www.sciencemuseum.org.uk/images/I003/10210432.aspx
			//addChild(  new Oscillation_4( stage.stageWidth, stage.stageHeight ) );
		
		
		//circles
		
			//addChild( new Circle_2( stage.stageWidth, stage.stageHeight ) );
			//addChild( new Circle_3( stage.stageWidth, stage.stageHeight ) );
			
		
		//physique base
		
			//addChild( new TestVelocity() );
			//addChild( new TestAcceleration() );
			//addChild( new TestFriction() );
			//addChild( new TestAccelerationGravite() );
			//addChild( new TestBody() );
			//addChild( new TestAttractor() );
			//addChild( new TestSpring() );
		
		//application
		
			//addChild( new BubbleChamber( stage.stageWidth, stage.stageHeight ) );
			//addChild( new GravityMadness( stage.stageWidth, stage.stageHeight ) );
			//addChild( new ClusterFuck( stage.stageWidth, stage.stageHeight ) );
			//addChild( new Portrait( stage.stageWidth, stage.stageHeight ) );
			//addChild( new CreatureTest() );
			
		//cellular automata
		
			//cellular automata
			//addChild( new CellularAutomata_0( stage.stageWidth, stage.stageHeight ) );//CA
			//addChild( new CellularAutomata_1( stage.stageWidth, stage.stageHeight ) );
			//addChild( new CellularAutomata_2( stage.stageWidth, stage.stageHeight ) );
			
			//game of life
			//addChild( new GameOfLife( stage.stageWidth, stage.stageHeight ) );//GOL
			//addChild( new VivhiniacVote( stage.stageWidth, stage.stageHeight ) );
			//addChild( new NeuronTest( stage.stageWidth, stage.stageHeight ) );
			//addChild( new WaveTest( stage.stageWidth, stage.stageHeight ) );
			
			//patterns
			//addChild( new BelousovZhabotinsky( stage.stageWidth, stage.stageHeight ) );//BZ
			//addChild( new TuringPattern( stage.stageWidth, stage.stageHeight ) );//TP
		
		//genetiques
		
			//addChild( new NumberDna() );
			//addChild( new WordDna() );
			//addChild( new ColorDna( stage.stageWidth, stage.stageHeight ) );
			//addChild( new ShapeDna( stage.stageWidth, stage.stageHeight ) );
			//addChild( new MonoShapeDna( stage.stageWidth, stage.stageHeight ) );
			//exo :
			//- faire un objet avec plusieurs shapes 
			//- faire un algo qui s'approche d'une image
			//- faire un algo ou l'utilisateur choisit le meilleur candidat
		
				//addChild( new PhysicsScene() );
		
		//addChild( new Planets( stage.stageWidth, stage.stageHeight ) );
		
	}
	
	static public function main() 
	{
		var stage = Lib.current.stage;
		stage.scaleMode = nme.display.StageScaleMode.NO_SCALE;
		stage.align = nme.display.StageAlign.TOP_LEFT;
		Lib.current.addChild(new Main());
	}
	
}
