package net.nicoptere.geometry;
import nme.display.Graphics;
import nme.geom.Point;

/**
 * @author Nicolas Barradeau 
 */

class Circle extends Point
{
	
	public var radius:Float;
	public var angle:Float;
	
	public function new( x:Float, y:Float, radius:Float )
	{
		super( x, y );
		this.radius = radius;
		angle = 0;
	}
	
	public function render( graphics:Graphics, color:Int = 0xFFFFFF, alpha:Float = 1 ):Void
	{
		graphics.lineStyle( 0, 0, 0 );
		graphics.beginFill( color, alpha );
		graphics.drawCircle( x, y, 3 );
		graphics.endFill();
		
		graphics.lineStyle( 0, color, alpha );
		graphics.drawCircle( x, y, radius );
	}
	
	
}