package net.nicoptere.geometry.motion;
import haxe.Timer;
import nme.display.Bitmap;
import nme.display.BitmapData;
import nme.display.Shape;
import nme.display.Sprite;

/**
 * @author Nicolas Barradeau 
 */

class RandomMotion extends Sprite
{

	private var w:Float;
	private var h:Float;
	
	private var canvas:Shape;
	private var bd:BitmapData;
	private var bmp:Bitmap;
	
	public function new( w:Float, h:Float ) 
	{
		super();
		
		this.w = w;
		this.h = h;
		
		canvas = new Shape();
		
		bd = new BitmapData( Std.int( w ), Std.int( h ), true, 0 ); 
		bmp = new Bitmap( bd );
		addChild( bmp );
		
		var t:Timer = new Timer( 1000/30 );
		t.run = update;
		
	}
	
	private function update():Void 
	{
		
		bd.draw( canvas );
		bd.scroll( 0, 0 );
		angleIterator += .5;
	}
	
}