package net.nicoptere.particles.bodies;
import net.nicoptere.particles.bodies.Circle;
import nme.display.Graphics;

/**
 * @author Nicolas Barradeau 
 */

class Velocity extends Circle
{
	
	public var vx:Float;
	public var vy:Float;
	
	public function new( x:Float = 0, y:Float = 0, radius:Float = 1 ) 
	{
		super( x, y, radius );
		
		//velocity
		vx = 0;
		vy = 0;
		
	}
	
	public function update( dt:Float = 1 ):Void
	{
		
		x += vx;
		y += vy;
		
	}
	
	public function drawVelocityVector( graphics:Graphics, scale:Float = 1 ):Void
	{
		
		graphics.lineStyle( 3, 0xFF0000 );
		
		graphics.moveTo( x, y );
		graphics.lineTo( x + vx * scale, y + vy * scale );
		
		graphics.lineStyle( 0, 0, 0 );
		
	}
	
}