package net.nicoptere.planets.descriptor;

/**
 * @author Nicolas Barradeau
 */

class PlanetDescription 
{
	private var _name:String;
	private var _distance:Float;
	private var _period:Float;
	private var _radius:Float;
	private var _color:Int;

	public function new( name:String, distance:Float, period:Float, diameter:Float, color:Int = -1 ) 
	{
		
		this.name = name;
		this.distance = distance;
		this.period = period;
		this.radius = diameter;
		
		this.color = color;
		if ( color == -1 )
		{
			this.color = Std.int( Math.random() * 0x808080 + 0x808080 );
		}
		
	}
	
	private function get_name():String 
	{
		return _name;
	}
	
	private function set_name(value:String):String 
	{
		return _name = value;
	}
	
	public var name(get_name, set_name):String;
	
	private function get_distance():Float 
	{
		return _distance;
	}
	
	private function set_distance(value:Float):Float 
	{
		return _distance = value;
	}
	
	public var distance(get_distance, set_distance):Float;
	
	private function get_period():Float 
	{
		return _period;
	}
	
	private function set_period(value:Float):Float 
	{
		return _period = value;
	}
	
	public var period(get_period, set_period):Float;
	
	private function get_radius():Float 
	{
		return _radius;
	}
	
	private function set_radius(value:Float):Float 
	{
		return _radius = value;
	}
	
	public var radius(get_radius, set_radius):Float;
	
	private function get_color():Int 
	{
		return _color;
	}
	
	private function set_color(value:Int):Int 
	{
		return _color = value;
	}
	
	public var color(get_color, set_color):Int;
	
}